﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GroupByMultipleColumns
{
    public class GridInfo
    {
        private static DataTable dt = new DataTable();

        public static DataTable GetAppointments()
        {
            dt.Columns.Add("AppointmentID", typeof(int));
            dt.Columns.Add("StartTime", typeof(DateTime));
            dt.Columns.Add("EndTime", typeof(DateTime));
            dt.Columns.Add("Subject", typeof(string));
            dt.Columns.Add("OwnerKey", typeof(string));

            dt.Rows.Add(new object[] { "1", DateTime.Today.AddHours(2.45), DateTime.Today.AddHours(3), "Sprint Review", "Charlie" });
            dt.Rows.Add(new object[] { "2", "8/7/2014 8:00:00 AM", "8/7/2014 08:30:00 AM", "Scrum Meet", "Jamie" });
            dt.Rows.Add(new object[] { "3", "8/7/2014 9:00:00 AM", "8/7/2014 09:30:00 AM", "Status Meeting", "Lukas" });
            dt.Rows.Add(new object[] { "4", "8/7/2014 8:45:00 AM", "8/7/2014 09:00:00 AM", "Feature Review", "Lopez" });

            return dt;
        }
    }
}
